#!/bin/bash

idxtmp=1 #Staring index
rm -f data.txt this_Eint.txt
#echo "Index  E_tot    E_elst    E_orb    E_DFTc  E_dispcorr" >> data.txt

for filename in `ls /root/S66_xyz_frag/*.xyz`
do
idx=`echo | awk '{printf ("%02d",vi)}' vi=$idxtmp`
echo "Calculating $filename ($idx)..."
cp $filename system.xyz
cp /root/S66_xyz_frag/$idx.txt fragment.txt
/root/sobEDA.sh > $idx.out
rm -f *.chk *.fch promol.* frozen.* final.* fragment1.* fragment2.* system.xyz
tot=`grep "Total interaction energy:" $idx.out | awk '{print $4}'`
elst=`grep "Electrostatic (E_els):" $idx.out | awk '{print $3}'`
orb=`grep "Orbital (E_orb):" $idx.out | awk '{print $3}'`
DFTc=`grep "DFT correlation (E_DFTc):" $idx.out | awk '{print $4}'`
dispcorr=`grep "Dispersion correction (E_dc):" $idx.out | awk '{print $4}'`
ratio=`echo "$dispcorr/($elst)" | bc -l`
echo | awk '{printf ("%d %9.2f %9.2f %9.2f %9.3f %9.3f \n",vi,vt,ve,vo,vc,vd,vr)}' vi=$idx vt=$tot ve=$elst vo=$orb vc=$DFTc vd=$dispcorr >> data.txt
echo | awk '{printf ("%10.3f\n",vt)}' vt=$tot >> this_Eint.txt
((idxtmp++))
done

rm -f fragment.txt

#Fit c,a,r parameters for sobEDAw
/root/S66fit /root/S66_de.txt data.txt > S66fit.txt

#Calculate difference between E_int calculated by this level and S66 (in S66a8 paper)
/sob/comparedata /root/S66_Eint.txt this_Eint.txt > compareEint.txt

